Subject: Re: bug#65518: 30.0.50; [FR Eglot] Completions over all workspace symbols

From: João Távora <[email-masked]>
Date: Sat, 26 Aug 2023 09:57:12 +0100

On Sat, Aug 26, 2023 at 6:09 AM Gerd Möllmann <[email-masked]> wrote:
>
> João Távora <[email-masked]> writes:
>
> > Gerd Möllmann <[email-masked]> writes:
> >

> We are miscommunicating.  This is not a bug report, it's a feature
> request. Referring me to a description of how to produce reproducible
> bug reports I therefore find odd.

Please don't find it odd.  And we are miscommunicating indeed.

Let me be clear: as far as I can detect, and as far as I can understand
it, the situation you describe shouldn't exist.  The pattern `LiPa` should
eventually allow the completion `Lisp_Package` to be offered in theory.

I reach all my completions with similar abbreviated patterns for
example.

But perhaps you aren't using Eglot how I think you are using it.
Perhaps you are using some older clangd version (known to miss completions)
or perhaps you are using some popular "Corfu" package (also known
to miss completions).  Or perhaps there is a indeed bug in Eglot.

Therefore, to give you an and others readers a useful answer,
I must have more information.  And providing the information
in that recipe is the standard way I ask of all Eglot users.

So to continue the analysis of this, I beg you to provide it.
If you don't want to go through that list, I've already collected
some information, so it boils down to telling me:

1. Emacs version and Eglot version
2. Clangd version
3. How to produce your compile_commands.json file
4. What branch of the Emacs C source this is
5. A short description of exactly what you do after starting
Emacs -Q, what you see, and what you would like to see instead.

> As I mentioned, lsp-mode offers the functionality, that I'd like to see in
> Eglot.  I don't know how it does it, and I don't care, really.

If you want a comparative analysis to lsp-mode, to increase
the chances that this is addressed, I'd also need to know exactly
how you set it up.  As far as I understand, lsp-mode doesn't
do miracles, it uses the same LSP interfaces available to Eglot
(in this case, more than likely `symbol/workspace`, which I've
already described).

João